Subject: Re: directly connected sources

From: "pnh" <[email-masked]>
Date: 5 Sep 2001 06:09:31 -0000

Tom,
   I'm not sure if I understood you suggestion for second case corectly, i.e. DR and not being RP on shared media.

"Using the DR election rules, it is possible to select either a DR that is also an RP that will originate
the SA"

As DR is elected on interface basis, one cannot include criteria of being RP for a group.

Thanks
pnh

On Wed, 05 Sep 2001 Tom Pusateri wrote :
>There is a case when a source is directly connected to 
>two or more
>RP's that I wanted to bring up. These two or more RP's 
>are running
>PIM sparse mode and MSDP peering with each other (as in 
>the Anycast
>RP case).
>
>In this case, it isn't necessary to register to the RP 
>since the source
>is directly connected to the RP. Currently, the MSDP 
>spec doesn't
>say anything regarding originating SA's for directly 
>connected sources,
>it only mentions generating an SA based on receiving a 
>register.
>
>If, internally, an RP registers to itself, then we 
>should see only one
>register (from the DR) and only one MSDP speaker will 
>originate the SA
>and everything should work as expected.
>
>I don't know how other implementations work but 
>internally, we don't
>send registers for sources directly connected to the RP.
>
>So if there are two RP's on a shared network with a 
>source also attached,
>then one of the RP's will be the DR and it should be 
>originating the MSDP
>SA but the other shouldn't. This gets trickier when 
>other PIM routers are on
>the shared network as well but aren't RPs. Using the DR 
>election rules,
>it is possible to select either a DR that is also an RP 
>that will originate
>the SA or another  PIM router that is the DR but isn't 
>an RP that will register
>to the RP. The important part is for an RP that isn't a 
>DR on a shared
>network to not originate SA's for directly connected 
>sources on that shared
>network.
>
>While I think most implementors would figure this out, 
>it was not obvious
>to me at first and so I thought I would mention it in 
>case either spec
>wants to include this discussion.
>
>Thanks,
>Tom
>